fse1.vo

## Class EventoRicoveroResponse

- java.lang.Object
- - fse1.vo.EventoRicoveroResponse

-     public class EventoRicoveroResponse
      extends java.lang.Object

  Response della consultazione degli eventi di ricovero
  Author:
    BottalicoE

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventoRicoveroResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAnno()`
    `java.lang.String` | `getCdaInstance()`
    `java.lang.String` | `getCdaLetteraDimissioneIntegrata()`
    `java.lang.String` | `getCdaLetteraDimissioneValida()`
    `java.lang.String` | `getCodCdaInstance()`
    `java.lang.String` | `getCodCdaLetteraDimissioneIntegrata()`
    `java.lang.String` | `getCodCdaLetteraDimissioneValida()`
    `java.lang.String` | `getCodiceDRG()`
    `java.lang.String` | `getCodIstituto()`
    `java.lang.String` | `getCodModalitaDimissione()`
    `java.lang.String` | `getCodProvenienzaPaziente()`
    `java.lang.String` | `getCodRegime()`
    `java.lang.String` | `getCodRiscontroAutoptico()`
    `java.lang.String` | `getCodStato()`
    `java.lang.String` | `getCodTraumIntossicazione()`
    `java.lang.String` | `getDataDimissione()`
    `java.lang.String` | `getDataEvento()`
    `java.lang.String` | `getDataRicovero()`
    `DatiAssistibile` | `getDatiAssistibile()`
    `java.lang.String` | `getDenominazioneIstituto()`
    `java.lang.String` | `getDescDRG()`
    `java.lang.String` | `getDescModalitaDimissione()`
    `java.lang.String` | `getDescProvenienzaPaziente()`
    `java.lang.String` | `getDescRegime()`
    `java.lang.String` | `getDescRiscontroAutoptico()`
    `java.lang.String` | `getDescStato()`
    `java.lang.String` | `getDescTraumIntossicazione()`
    `ElencoDiagnosi` | `getElencoDiagnosi()`
    `ElencoEndoprotesi` | `getElencoEndoprotesi()`
    `ElencoInterventi` | `getElencoInterventi()`
    `java.lang.String` | `getProgressivo()`
    `RepartoDiAmmissione` | `getRepartoDiAmmissione()`
    `RepartoDiDimissione` | `getRepartoDiDimissione()`
    `RicoveroDH` | `getRicoveroDH()`
    `RicoveroOrdinario` | `getRicoveroOrdinario()`
    `void` | `setAnno(java.lang.String anno)`
    `void` | `setCdaInstance(java.lang.String cdaInstance)`
    `void` | `setCdaLetteraDimissioneIntegrata(java.lang.String cdaLetteraDimissioneIntegrata)`
    `void` | `setCdaLetteraDimissioneValida(java.lang.String cdaLetteraDimissioneValida)`
    `void` | `setCodCdaInstance(java.lang.String codCdaInstance)`
    `void` | `setCodCdaLetteraDimissioneIntegrata(java.lang.String codCdaLetteraDimissioneIntegrata)`
    `void` | `setCodCdaLetteraDimissioneValida(java.lang.String codCdaLetteraDimissioneValida)`
    `void` | `setCodiceDRG(java.lang.String codiceDRG)`
    `void` | `setCodIstituto(java.lang.String codIstituto)`
    `void` | `setCodModalitaDimissione(java.lang.String codModalitaDimissione)`
    `void` | `setCodProvenienzaPaziente(java.lang.String codProvenienzaPaziente)`
    `void` | `setCodRegime(java.lang.String codRegime)`
    `void` | `setCodRiscontroAutoptico(java.lang.String codRiscontroAutoptico)`
    `void` | `setCodStato(java.lang.String codStato)`
    `void` | `setCodTraumIntossicazione(java.lang.String codTraumIntossicazione)`
    `void` | `setDataDimissione(java.lang.String dataDimissione)`
    `void` | `setDataEvento(java.lang.String dataEvento)`
    `void` | `setDataRicovero(java.lang.String dataRicovero)`
    `void` | `setDatiAssistibile(DatiAssistibile datiAssistibile)`
    `void` | `setDenominazioneIstituto(java.lang.String denominazioneIstituto)`
    `void` | `setDescDRG(java.lang.String descDRG)`
    `void` | `setDescModalitaDimissione(java.lang.String descModalitaDimissione)`
    `void` | `setDescProvenienzaPaziente(java.lang.String descProvenienzaPaziente)`
    `void` | `setDescRegime(java.lang.String descRegime)`
    `void` | `setDescRiscontroAutoptico(java.lang.String descRiscontroAutoptico)`
    `void` | `setDescStato(java.lang.String descStato)`
    `void` | `setDescTraumIntossicazione(java.lang.String descTraumIntossicazione)`
    `void` | `setElencoDiagnosi(ElencoDiagnosi elencoDiagnosi)`
    `void` | `setElencoEndoprotesi(ElencoEndoprotesi elencoEndoprotesi)`
    `void` | `setElencoInterventi(ElencoInterventi elencoInterventi)`
    `void` | `setProgressivo(java.lang.String progressivo)`
    `void` | `setRepartoDiAmmissione(RepartoDiAmmissione repartoDiAmmissione)`
    `void` | `setRepartoDiDimissione(RepartoDiDimissione repartoDiDimissione)`
    `void` | `setRicoveroDH(RicoveroDH ricoveroDH)`
    `void` | `setRicoveroOrdinario(RicoveroOrdinario ricoveroOrdinario)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventoRicoveroResponse

          public EventoRicoveroResponse()

  - ### Method Detail

    - #### getCdaLetteraDimissioneIntegrata

          public java.lang.String getCdaLetteraDimissioneIntegrata()

    - #### setCdaLetteraDimissioneIntegrata

          public void setCdaLetteraDimissioneIntegrata(java.lang.String cdaLetteraDimissioneIntegrata)

    - #### getCdaLetteraDimissioneValida

          public java.lang.String getCdaLetteraDimissioneValida()

    - #### setCdaLetteraDimissioneValida

          public void setCdaLetteraDimissioneValida(java.lang.String cdaLetteraDimissioneValida)

    - #### getCodCdaInstance

          public java.lang.String getCodCdaInstance()

    - #### setCodCdaInstance

          public void setCodCdaInstance(java.lang.String codCdaInstance)

    - #### getCodCdaLetteraDimissioneIntegrata

          public java.lang.String getCodCdaLetteraDimissioneIntegrata()

    - #### setCodCdaLetteraDimissioneIntegrata

          public void setCodCdaLetteraDimissioneIntegrata(java.lang.String codCdaLetteraDimissioneIntegrata)

    - #### getCodCdaLetteraDimissioneValida

          public java.lang.String getCodCdaLetteraDimissioneValida()

    - #### setCodCdaLetteraDimissioneValida

          public void setCodCdaLetteraDimissioneValida(java.lang.String codCdaLetteraDimissioneValida)

    - #### getCdaInstance

          public java.lang.String getCdaInstance()

    - #### setCdaInstance

          public void setCdaInstance(java.lang.String cdaInstance)

    - #### getAnno

          public java.lang.String getAnno()

    - #### setAnno

          public void setAnno(java.lang.String anno)

    - #### getCodIstituto

          public java.lang.String getCodIstituto()

    - #### setCodIstituto

          public void setCodIstituto(java.lang.String codIstituto)

    - #### getCodModalitaDimissione

          public java.lang.String getCodModalitaDimissione()

    - #### setCodModalitaDimissione

          public void setCodModalitaDimissione(java.lang.String codModalitaDimissione)

    - #### getCodProvenienzaPaziente

          public java.lang.String getCodProvenienzaPaziente()

    - #### setCodProvenienzaPaziente

          public void setCodProvenienzaPaziente(java.lang.String codProvenienzaPaziente)

    - #### getCodRegime

          public java.lang.String getCodRegime()

    - #### setCodRegime

          public void setCodRegime(java.lang.String codRegime)

    - #### getCodRiscontroAutoptico

          public java.lang.String getCodRiscontroAutoptico()

    - #### setCodRiscontroAutoptico

          public void setCodRiscontroAutoptico(java.lang.String codRiscontroAutoptico)

    - #### getCodStato

          public java.lang.String getCodStato()

    - #### setCodStato

          public void setCodStato(java.lang.String codStato)

    - #### getCodTraumIntossicazione

          public java.lang.String getCodTraumIntossicazione()

    - #### setCodTraumIntossicazione

          public void setCodTraumIntossicazione(java.lang.String codTraumIntossicazione)

    - #### getCodiceDRG

          public java.lang.String getCodiceDRG()

    - #### setCodiceDRG

          public void setCodiceDRG(java.lang.String codiceDRG)

    - #### getDataDimissione

          public java.lang.String getDataDimissione()

    - #### setDataDimissione

          public void setDataDimissione(java.lang.String dataDimissione)

    - #### getDataEvento

          public java.lang.String getDataEvento()

    - #### setDataEvento

          public void setDataEvento(java.lang.String dataEvento)

    - #### getDataRicovero

          public java.lang.String getDataRicovero()

    - #### setDataRicovero

          public void setDataRicovero(java.lang.String dataRicovero)

    - #### getDatiAssistibile

          public DatiAssistibile getDatiAssistibile()

    - #### setDatiAssistibile

          public void setDatiAssistibile(DatiAssistibile datiAssistibile)

    - #### getDenominazioneIstituto

          public java.lang.String getDenominazioneIstituto()

    - #### setDenominazioneIstituto

          public void setDenominazioneIstituto(java.lang.String denominazioneIstituto)

    - #### getDescDRG

          public java.lang.String getDescDRG()

    - #### setDescDRG

          public void setDescDRG(java.lang.String descDRG)

    - #### getDescModalitaDimissione

          public java.lang.String getDescModalitaDimissione()

    - #### setDescModalitaDimissione

          public void setDescModalitaDimissione(java.lang.String descModalitaDimissione)

    - #### getDescProvenienzaPaziente

          public java.lang.String getDescProvenienzaPaziente()

    - #### setDescProvenienzaPaziente

          public void setDescProvenienzaPaziente(java.lang.String descProvenienzaPaziente)

    - #### getDescRegime

          public java.lang.String getDescRegime()

    - #### setDescRegime

          public void setDescRegime(java.lang.String descRegime)

    - #### getDescRiscontroAutoptico

          public java.lang.String getDescRiscontroAutoptico()

    - #### setDescRiscontroAutoptico

          public void setDescRiscontroAutoptico(java.lang.String descRiscontroAutoptico)

    - #### getDescStato

          public java.lang.String getDescStato()

    - #### setDescStato

          public void setDescStato(java.lang.String descStato)

    - #### getDescTraumIntossicazione

          public java.lang.String getDescTraumIntossicazione()

    - #### setDescTraumIntossicazione

          public void setDescTraumIntossicazione(java.lang.String descTraumIntossicazione)

    - #### getElencoDiagnosi

          public ElencoDiagnosi getElencoDiagnosi()

    - #### setElencoDiagnosi

          public void setElencoDiagnosi(ElencoDiagnosi elencoDiagnosi)

    - #### getElencoEndoprotesi

          public ElencoEndoprotesi getElencoEndoprotesi()

    - #### setElencoEndoprotesi

          public void setElencoEndoprotesi(ElencoEndoprotesi elencoEndoprotesi)

    - #### getElencoInterventi

          public ElencoInterventi getElencoInterventi()

    - #### setElencoInterventi

          public void setElencoInterventi(ElencoInterventi elencoInterventi)

    - #### getProgressivo

          public java.lang.String getProgressivo()

    - #### setProgressivo

          public void setProgressivo(java.lang.String progressivo)

    - #### getRepartoDiAmmissione

          public RepartoDiAmmissione getRepartoDiAmmissione()

    - #### setRepartoDiAmmissione

          public void setRepartoDiAmmissione(RepartoDiAmmissione repartoDiAmmissione)

    - #### getRepartoDiDimissione

          public RepartoDiDimissione getRepartoDiDimissione()

    - #### setRepartoDiDimissione

          public void setRepartoDiDimissione(RepartoDiDimissione repartoDiDimissione)

    - #### getRicoveroDH

          public RicoveroDH getRicoveroDH()

    - #### setRicoveroDH

          public void setRicoveroDH(RicoveroDH ricoveroDH)

    - #### getRicoveroOrdinario

          public RicoveroOrdinario getRicoveroOrdinario()

    - #### setRicoveroOrdinario

          public void setRicoveroOrdinario(RicoveroOrdinario ricoveroOrdinario)